function testSensorGlove(port)

    function frequencyCheck( flexValues )
        persistent t1;
        if(isempty(t1))
            t1 = tic;
        else
            toc(t1);
            t1 = tic;
        end
    end

    function printFlexValues( flexValues )
        fprintf('VALUES ');
        fprintf(' %.4f',flexValues);
        fprintf('\n');
    end

    function plotFlexValues( flexValues )
        bar(flexValues);
        ylim([0 1023]);
    end

    if(~exist('port','var') || isempty(port))
        port = '/dev/ttyACM0';
    end

    
    fprintf('\n\nStarting Glove on port ''%s''\n',port);
    fprintf('Press any key to start...\n');
    pause
    glove = SensorGlove(port);
    glove.start();
    pause(2);
    
    
    fprintf('\n\nPrinting FlexValues\n');
    fprintf('Press any key to start...\nand afterwards any key to stop...\n');
    pause
    glove.addCallback(@printFlexValues);
    pause
    glove.callbacks = {};
    
    
    fprintf('\n\nPlotting FlexValues\n');
    fprintf('Press any key to start...\n');
    pause
    fig = figure;
    glove.addCallback(@plotFlexValues);
    fprintf('Press any key to stop...\n');
    pause
    close(fig);
    glove.callbacks = {};
    
    
    fprintf('\n\nChecking frequency\n');
    fprintf('Press any key to start...\nand afterwards any key to stop...\n');
    pause
    glove.addCallback(@frequencyCheck);
    pause
    glove.callbacks = {};
    

    fprintf('\n\nSending motor commands\n');
    fprintf('Press any key to start...\n');
    pause
    glove.setMotorValues([100 100 100 100 100]);
    fprintf('Press any key to stop...\n');
    pause
    glove.setMotorValues([0 0 0 0 0]);
    
    
    fprintf('\n\nStopping Glove');
    fprintf('Press any key to start...\n');
    pause
    glove.stop();

    
    fprintf('\n\nDeleting Glove object');
    fprintf('Press any key to start...\n');
    pause
    glove.delete();

    

end

